> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.iklim.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Daily Forecast Operation

> Returns aggregated daily weather metrics for the requested location.



## OpenAPI

````yaml /open-api/en/forecasts_version-1.json post /v1/forecasts/daily
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://api.iklim.co
    description: Production server
  - url: https://api-test.iklim.co
    description: Test server
security: []
tags:
  - name: Forecast Service
    description: Manages current, hourly, and daily weather forecast operations
  - name: Weather Icons
    description: Serves WEBP icon assets used by the forecast endpoints
paths:
  /v1/forecasts/daily:
    post:
      tags:
        - Forecast Service
      summary: Daily Forecast Operation
      description: Returns aggregated daily weather metrics for the requested location.
      operationId: getDailyData
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DailyForecastsRequest'
        required: true
      responses:
        '200':
          description: Daily forecast data successfully retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WeatherForecastResponse'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '402':
          description: Paid Subscription Required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                Payment Required:
                  summary: Example response
                  description: Payment Required
                  value:
                    timestamp: '2025-06-25T11:15:41.429518242'
                    status: 402
                    error: Payment Required
                    message: You Need To Renew Your Subscription or Purchase New One
                    path: /v1/forecasts/daily
        '403':
          description: Forbidden/Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                No Subscription Found For This Service Endpoint:
                  summary: Missing Subscription
                  description: No Subscription Found For This Service Endpoint
                  value:
                    timestamp: '2025-06-25T11:21:50.510755746'
                    status: 403
                    error: Forbidden
                    message: No Subscription Found For This Service Endpoint
                    path: /v1/forecasts/daily
                This Location Is Not In Allowed Geographic Boundaries:
                  summary: Out of Allowed Geographic Boundaries
                  description: This Location Is Not In Allowed Geographic Boundaries
                  value:
                    timestamp: '2025-06-25T15:59:19.452326857'
                    status: 403
                    error: Forbidden
                    message: >-
                      The Location You Are Querying [dd.ddddd, dd.ddddd] Is Not
                      Within The Geographic Boundaries Allowed In Your
                      Subscription [Country, Region]
                    path: /v1/forecasts/daily
        '429':
          description: Subscription Limits For This Service is Exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                Too Many Requests:
                  summary: Example response
                  description: Too Many Requests
                  value:
                    timestamp: '2025-06-25T11:02:12.653874655'
                    status: 429
                    error: Too Many Requests
                    message: Your Subscription Limits For This Service is Exceeded
                    path: /v1/forecasts/daily
        '500':
          description: Internal Server Error During Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                Internal Server Error Example:
                  summary: Example response
                  description: Internal Server Error Example
                  value:
                    timestamp: '2025-04-14T16:58:10.414972912'
                    status: 500
                    error: Internal Server Error
                    message: An Error Occurred During Invocation
                    path: /v1/forecasts/daily
components:
  schemas:
    DailyForecastsRequest:
      type: object
      properties:
        location:
          $ref: '#/components/schemas/GeoPoint'
          description: Geographic point to query forecasts for
        forecastDays:
          type: integer
          format: int32
          description: Maximum number of days to return (1-14)
          example: 7
          maximum: 14
          minimum: 1
        startTime:
          type: integer
          format: int64
          description: >-
            Optional epoch milliseconds that mark the start of the forecast
            horizon
          example: 1746454091000
        metrics:
          type: array
          description: >-
            Metrics requested for the daily forecast endpoint. Allowed values:
            WEATHER_ICON, TEMPERATURE_AVG, TEMPERATURE_MIN, TEMPERATURE_MAX,
            APPARENT_TEMPERATURE_AVG, APPARENT_TEMPERATURE_MIN,
            APPARENT_TEMPERATURE_MAX, HUMIDITY_AVG, HUMIDITY_MIN, HUMIDITY_MAX,
            CLOUD_COVER_AVG, CLOUD_COVER_MIN, CLOUD_COVER_MAX, WIND_SPEED_AVG,
            WIND_SPEED_MIN, WIND_SPEED_MAX, WIND_GUSTS_AVG, WIND_GUSTS_MIN,
            WIND_GUSTS_MAX, WIND_DIRECTION, SNOWFALL, PRECIPITATION,
            PRECIPITATION_PROBABILITY_AVG, PRECIPITATION_PROBABILITY_MIN,
            PRECIPITATION_PROBABILITY_MAX, VISIBILITY_AVG, VISIBILITY_MIN,
            VISIBILITY_MAX, REF_EVAPORATION_TRANSPIRATION_ET0,
            REF_EVAPORATION_TRANSPIRATION_ET0_SUM, DEW_POINT_AVG, DEW_POINT_MIN,
            DEW_POINT_MAX, SHORTWAVE_RADIATION_SUM
          example:
            - TEMPERATURE_MAX
            - TEMPERATURE_MIN
          items:
            type: string
            enum:
              - WEATHER_ICON
              - TEMPERATURE
              - TEMPERATURE_AVG
              - TEMPERATURE_MIN
              - TEMPERATURE_MAX
              - APPARENT_TEMPERATURE
              - APPARENT_TEMPERATURE_AVG
              - APPARENT_TEMPERATURE_MIN
              - APPARENT_TEMPERATURE_MAX
              - HUMIDITY
              - HUMIDITY_AVG
              - HUMIDITY_MIN
              - HUMIDITY_MAX
              - CLOUD_COVER
              - CLOUD_COVER_AVG
              - CLOUD_COVER_MIN
              - CLOUD_COVER_MAX
              - WIND_SPEED
              - WIND_SPEED_AVG
              - WIND_SPEED_MIN
              - WIND_SPEED_MAX
              - WIND_GUSTS
              - WIND_GUSTS_AVG
              - WIND_GUSTS_MIN
              - WIND_GUSTS_MAX
              - WIND_DIRECTION
              - SNOWFALL
              - PRECIPITATION
              - PRECIPITATION_PROBABILITY
              - PRECIPITATION_PROBABILITY_AVG
              - PRECIPITATION_PROBABILITY_MIN
              - PRECIPITATION_PROBABILITY_MAX
              - REF_EVAPORATION_TRANSPIRATION_ET0
              - REF_EVAPORATION_TRANSPIRATION_ET0_SUM
              - DEW_POINT
              - DEW_POINT_AVG
              - DEW_POINT_MIN
              - DEW_POINT_MAX
              - SOIL_TEMPERATURE
              - SOIL_MOISTURE
              - GLOBAL_TILTED_RADIATION_GTI
              - DIRECT_NORMAL_IRRADIANCE_DNI
              - SHORTWAVE_SOLAR_RADIATION_GHI
              - SHORTWAVE_RADIATION_SUM
              - VISIBILITY
              - VISIBILITY_AVG
              - VISIBILITY_MIN
              - VISIBILITY_MAX
          minItems: 1
      required:
        - location
        - metrics
    WeatherForecastResponse:
      type: object
      properties:
        location:
          $ref: '#/components/schemas/GeoPoint'
          description: Location resolved for the forecast
        timezone:
          type: string
          description: IANA timezone identifier used for timestamps
          example: Europe/Istanbul
        elevation:
          type: number
          format: double
          description: Elevation of the requested location in meters
          example: 897.5
        weatherIconUrlBase:
          type: string
          description: Base URL that can be used to fetch weather icons
          example: https://api-test.iklim.co/v1/weather-icons
        metricForecasts:
          type: array
          description: Metric forecasts returned in the response
          items:
            $ref: '#/components/schemas/MetricForecasts'
        warnings:
          type: array
          description: Informational warnings returned for the request
          example:
            - 'The provided metric is not valid for this request: TEMPERATURE_SUM'
          items:
            type: string
    StandardErrorResponse:
      type: object
      description: Standard API error response structure
      properties:
        timestamp:
          type: string
          format: date-time
          description: Timestamp when the error occurred
          example: YYYY-mm-DDTHH:MM:SS.nnnnnnnnn
        status:
          type: integer
          format: int32
          description: HTTP status code
          example: XXX
        error:
          type: string
          description: Error name or type
          example: Error Name
          minLength: 1
        message:
          type: string
          description: Main error message
          example: Error Message
          minLength: 1
        messages:
          type: array
          description: Additional detailed error messages
          items:
            type: string
        path:
          type: string
          description: Request path that caused the error
          example: /endpoint/uri/here
          minLength: 1
      required:
        - error
        - message
        - path
        - status
        - timestamp
    GeoPoint:
      type: object
      properties:
        lng:
          type: number
          format: double
          description: Longitude coordinate.
          example: 32.857358
          maximum: 180
          minimum: -180
        lat:
          type: number
          format: double
          description: Latitude coordinate.
          example: 39.93504
          maximum: 90
          minimum: -90
      required:
        - lat
        - lng
    MetricForecasts:
      type: object
      properties:
        metric:
          type: string
          description: Metric identifier
          enum:
            - WEATHER_ICON
            - TEMPERATURE
            - TEMPERATURE_AVG
            - TEMPERATURE_MIN
            - TEMPERATURE_MAX
            - APPARENT_TEMPERATURE
            - APPARENT_TEMPERATURE_AVG
            - APPARENT_TEMPERATURE_MIN
            - APPARENT_TEMPERATURE_MAX
            - HUMIDITY
            - HUMIDITY_AVG
            - HUMIDITY_MIN
            - HUMIDITY_MAX
            - CLOUD_COVER
            - CLOUD_COVER_AVG
            - CLOUD_COVER_MIN
            - CLOUD_COVER_MAX
            - WIND_SPEED
            - WIND_SPEED_AVG
            - WIND_SPEED_MIN
            - WIND_SPEED_MAX
            - WIND_GUSTS
            - WIND_GUSTS_AVG
            - WIND_GUSTS_MIN
            - WIND_GUSTS_MAX
            - WIND_DIRECTION
            - SNOWFALL
            - PRECIPITATION
            - PRECIPITATION_PROBABILITY
            - PRECIPITATION_PROBABILITY_AVG
            - PRECIPITATION_PROBABILITY_MIN
            - PRECIPITATION_PROBABILITY_MAX
            - REF_EVAPORATION_TRANSPIRATION_ET0
            - REF_EVAPORATION_TRANSPIRATION_ET0_SUM
            - DEW_POINT
            - DEW_POINT_AVG
            - DEW_POINT_MIN
            - DEW_POINT_MAX
            - SOIL_TEMPERATURE
            - SOIL_MOISTURE
            - GLOBAL_TILTED_RADIATION_GTI
            - DIRECT_NORMAL_IRRADIANCE_DNI
            - SHORTWAVE_SOLAR_RADIATION_GHI
            - SHORTWAVE_RADIATION_SUM
            - VISIBILITY
            - VISIBILITY_AVG
            - VISIBILITY_MIN
            - VISIBILITY_MAX
          example: TEMPERATURE
        unit:
          type: string
          description: Unit of the metric values
          example: °C
        forecasts:
          type: array
          description: Forecast samples for the metric
          items:
            $ref: '#/components/schemas/Forecast'
    Forecast:
      type: object
      properties:
        time:
          type: string
          format: date-time
          description: Timestamp of the metric value
          example: '2025-04-14T16:58:22Z'
        isDay:
          type: boolean
          description: Indicates whether the sample corresponds to daytime
          example: true
        value:
          type: number
          description: Metric value at the timestamp
          example: 23.5
        icon:
          type: string
          description: Icon identifier describing the weather condition
          example: sunny

````